מחוברים עכשיו  

/v1/community/

Manages Community Related Functions
GET

/v1/community/get_board_about_post_candidates

#
Finds board-local top-level posts that can be selected as the board profile About post.

פרמטרים

שםסוגחובהברירת מחדלתיאור
boardId int לא 0 ATDiscussionBoards.ID.
forumAlias string לא "" Optional v2 forum alias fallback.
searchFilter string לא "" Search text for board posts by title, body, or author alias.
postID int לא 0 Exact ATDiscussionPosts.ID to preview.
pageSize int לא 8 Maximum candidates to return.
minimumImageMediaCount int לא 2 Minimum attached image-media items required.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/community/get_board_about_post_candidates' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'boardId={{boardId}}' \
  --data-urlencode 'forumAlias={{forumAlias}}' \
  --data-urlencode 'searchFilter={{searchFilter}}' \
  --data-urlencode 'postID={{postID}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'minimumImageMediaCount={{minimumImageMediaCount}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$community_get_board_about_post_candidates_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.Candidatesarray כן
$.oneOf[0].allOf[1].Payload.Candidates[]object לא
$.oneOf[0].allOf[1].Payload.Candidates[].idinteger כן
$.oneOf[0].allOf[1].Payload.Candidates[].titlestring כן
$.oneOf[0].allOf[1].Payload.Candidates[].bodyPreviewstring כן
$.oneOf[0].allOf[1].Payload.Candidates[].urlstring כן
$.oneOf[0].allOf[1].Payload.Candidates[].createdDatestring כן
$.oneOf[0].allOf[1].Payload.Candidates[].authorAboutPostAuthor כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0].aliasstring כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0].avatarEmojistring כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0].profileUrlstring כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].idnull כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].aliasnull כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].avatarEmojinull כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].profileUrlnull כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].identityHidden = true כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].identityHiddenUntilinteger כן
$.oneOf[0].allOf[1].Payload.Candidates[].boardobject כן
$.oneOf[0].allOf[1].Payload.Candidates[].board.idinteger כן
$.oneOf[0].allOf[1].Payload.Candidates[].board.namestring כן
$.oneOf[0].allOf[1].Payload.Candidates[].board.slugstring כן
$.oneOf[0].allOf[1].Payload.Candidates[].board.typestring כן
$.oneOf[0].allOf[1].Payload.Candidates[].imageMediaCountinteger כן
$.oneOf[0].allOf[1].Payload.Candidates[].mediaarray כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[]object לא
$.oneOf[0].allOf[1].Payload.Candidates[].media[].idinteger כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[].thumbUrlstring כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[].mediaUrlstring כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[].mediaTypestring כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[].widthinteger כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[].heightinteger כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[].titlestring כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[].isImageboolean כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[].isEmbeddedboolean כן
$.oneOf[0].allOf[1].Payload.Pageobject כן
$.oneOf[0].allOf[1].Payload.Page.pageSizeinteger כן
$.oneOf[0].allOf[1].Payload.Page.minimumImageMediaCountinteger כן
$.oneOf[0].allOf[1].Payload.Page.boardIdinteger כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/community/get_board_about_post_candidates",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Candidates": [],
        "Page": {
            "pageSize": 0,
            "minimumImageMediaCount": 0,
            "boardId": 0
        }
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/community/get_board_membership

#
Get admission settings, membership, and authorized application/invitation management data.

פרמטרים

שםסוגחובהברירת מחדלתיאור
boardId int לא 0 Board ID.
offset int לא 0 Member pagination offset.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/community/get_board_membership' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'boardId={{boardId}}' \
  --data-urlencode 'offset={{offset}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$community_get_board_membership_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payload כן
$.oneOf[0].allOf[1].Payload.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.anyOf[0].enabledboolean כן
$.oneOf[0].allOf[1].Payload.anyOf[0].accessstring ["Read","ReadWrite"] כן
$.oneOf[0].allOf[1].Payload.anyOf[0].isMemberboolean כן
$.oneOf[0].allOf[1].Payload.anyOf[0].canInviteboolean כן
$.oneOf[0].allOf[1].Payload.anyOf[0].canManageboolean כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applicationsarray כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[]object לא
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].ATDiscussionBoards_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].ATDiscussionBoards_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].ATDiscussionBoards_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Applicant-ATUser_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Applicant-ATUser_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Applicant-ATUser_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Statusstring ["Pending","Approved","Rejected","Cancelled"] כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].PendingUserID כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].PendingUserID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].PendingUserID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].PendingUserID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].PendingUserID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].ApplicationMessagestring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Application-ATNotificationIntelligentTags_ID כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Application-ATNotificationIntelligentTags_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Application-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Application-ATNotificationIntelligentTags_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Application-ATNotificationIntelligentTags_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Decision-ATUser_ID כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Decision-ATUser_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Decision-ATUser_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Decision-ATUser_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].Decision-ATUser_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].DecisionDate כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].DecisionDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].DecisionDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].CreatedDatestring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].chatURLstring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].applications[].aliasstring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitationsarray כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[]object לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].CreatedDatestring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].LastUpdateDatestring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].DeletedDate כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].DeletedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].DeletedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].Inviter-ATUser_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].Inviter-ATUser_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].Inviter-ATUser_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedTo-ATUser_ID כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedTo-ATUser_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedTo-ATUser_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedTo-ATUser_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedTo-ATUser_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedBy-ATUser_ID כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedBy-ATUser_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedBy-ATUser_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedBy-ATUser_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssuedBy-ATUser_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].Codestring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IssueSourcestring ["User","Administration"] כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IsInviteCreditExemptDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IsInviteCreditExempt.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IsInviteCreditExempt.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].InvitePurposestring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextType כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextType.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextType.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextObjectID כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextObjectID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextObjectID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextObjectID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextObjectID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].PresetProfileIntent כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].PresetProfileIntent.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].PresetProfileIntent.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0]string (application/json) כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0]InviteContext (JSON מפוענח) כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0]object כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].boardIdinteger לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities.anyOf[0]array לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities.anyOf[0][]string ["invite","read","write","delete","move","schedule","polls","moderate"] לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities.anyOf[1]string לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities.anyOf[2]object לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities.anyOf[2].* לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities.anyOf[2].*.anyOf[0]boolean לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities.anyOf[2].*.anyOf[1]integer לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].capabilities.anyOf[2].*.anyOf[2]string לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].profileImageMediaIDDatabaseInteger לאInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].profileImageMediaID.oneOf[0]integer לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].profileImageMediaID.oneOf[1]string לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].bannerImageMediaIDDatabaseInteger לאInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].bannerImageMediaID.oneOf[0]integer לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].bannerImageMediaID.oneOf[1]string לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*InviteContextJSONValue לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*.anyOf[0]null לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*.anyOf[1]string לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*.anyOf[2]number לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*.anyOf[3]boolean לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*.anyOf[4]array לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*.anyOf[4][]InviteContextJSONValue לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*.anyOf[5]object לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[0].*.anyOf[5].*InviteContextJSONValue לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1]array כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][]InviteContextJSONValue לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][].anyOf[0]null לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][].anyOf[1]string לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][].anyOf[2]number לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][].anyOf[3]boolean לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][].anyOf[4]array לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][].anyOf[4][]InviteContextJSONValue לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][].anyOf[5]object לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[0].oneOf[1][].anyOf[5].*InviteContextJSONValue לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].ContextPayloadJSON.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemedBy-ATUser_ID כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemedBy-ATUser_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemedBy-ATUser_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemedBy-ATUser_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemedBy-ATUser_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemedDate כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IsSignupCreditGrantedDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IsSignupCreditGranted.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].IsSignupCreditGranted.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemSource כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemSource.anyOf[0]string ["ExistingUser","NewSignup"] כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].RedeemSource.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].urlstring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].labelsarray כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].labels[]object לא
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].labels[].idinteger כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].labels[].namestring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].labels[].emojistring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].labels[].archivedboolean כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].profilePhotoURLstring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].invitations[].bannerPhotoURLstring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].membersarray כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[]object לא
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].ATDiscussionBoards_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].ATDiscussionBoards_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].ATDiscussionBoards_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].ATUser_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].ATUser_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].ATUser_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].Statusstring ["Active","Revoked"] כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].Sourcestring ["Invitation","Application"] כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].GrantedBy-ATUser_IDDatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].GrantedBy-ATUser_ID.oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].GrantedBy-ATUser_ID.oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].InviteCode_ID כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].InviteCode_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].InviteCode_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].InviteCode_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].InviteCode_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].Application_ID כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].Application_ID.anyOf[0]DatabaseInteger כןInteger value; legacy MySQL reads may serialize it as a numeric string.
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].Application_ID.anyOf[0].oneOf[0]integer כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].Application_ID.anyOf[0].oneOf[1]string כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].Application_ID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].CreatedDatestring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].LastUpdateDatestring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].aliasstring כן
$.oneOf[0].allOf[1].Payload.anyOf[0].members[].profileURLstring כן
$.oneOf[0].allOf[1].Payload.anyOf[1]null כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/community/get_board_membership",
    "RequestUserAlias": "example-user",
    "Payload": {
        "enabled": false,
        "access": "Read",
        "isMember": false,
        "canInvite": false,
        "canManage": false,
        "applications": [],
        "invitations": [],
        "members": []
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/community/get_chat_actions

#
Returns every currently executable action button registered for a chat. Action buttons originate in message DatabaseTags or reusable chat actions registered when chats and participants are created. This endpoint reads ATNotificationIntelligentTagsActionButtons so clients do not have to scan message history. Chat-level actions can have zero notification/body IDs.

פרמטרים

שםסוגחובהברירת מחדלתיאור
chatID int לא 0 ATNotificationIntelligentTags.ID of the chat.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/community/get_chat_actions' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'chatID={{chatID}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$community_get_chat_actions_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כןRequires chat membership. Reading available actions may create missing report-chat bounty action records.
$.oneOf[0].allOf[1].Payload.ChatIDinteger כן
$.oneOf[0].allOf[1].Payload.Actionsarray כן
$.oneOf[0].allOf[1].Payload.Actions[]object לא
$.oneOf[0].allOf[1].Payload.Actions[].ActionButtonIDinteger כן
$.oneOf[0].allOf[1].Payload.Actions[].NotificationIDinteger כן
$.oneOf[0].allOf[1].Payload.Actions[].NotificationBodyIDinteger כן
$.oneOf[0].allOf[1].Payload.Actions[].ActionButtonNamestring כן
$.oneOf[0].allOf[1].Payload.Actions[].Namestring כן
$.oneOf[0].allOf[1].Payload.Actions[].AdditionalTextstring כן
$.oneOf[0].allOf[1].Payload.Actions[].CustomInfoIconstring כן
$.oneOf[0].allOf[1].Payload.Actions[].ConfirmTitlestring כן
$.oneOf[0].allOf[1].Payload.Actions[].ConfirmTextstring כן
$.oneOf[0].allOf[1].Payload.Actions[].ConfirmButtonTextstring כן
$.oneOf[0].allOf[1].Payload.Actions[].LoadingTextstring כן
$.oneOf[0].allOf[1].Payload.Actions[].CustomActionstring כן
$.oneOf[0].allOf[1].Payload.Actions[].CustomActionParameterstring כן
$.oneOf[0].allOf[1].Payload.Actions[].BackgroundColorstring כן
$.oneOf[0].allOf[1].Payload.Actions[].TextColorstring כן
$.oneOf[0].allOf[1].Payload.Actions[].Importancestring כן
$.oneOf[0].allOf[1].Payload.Actions[].Clickableboolean כן
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTagsNotificationDatabaseTags כן
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[0]array כן
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*NotificationTagValue לא
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[0]null לא
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[1]string לא
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[2]number לא
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[3]boolean לא
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[4]array לא
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[4][]NotificationTagValue לא
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[5]object לא
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[5].*NotificationTagValue לא
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/community/get_chat_actions",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ChatID": 0,
        "Actions": []
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/community/get_chat_add_participant_options

#
Returns user alias options that the acting user may add to a chat. Chat hosts only see users who accepted a 1:1 chat with the host. Global community administrators can search all non-deleted users. The write endpoint repeats these checks; this endpoint is only for autocomplete UX.

פרמטרים

שםסוגחובהברירת מחדלתיאור
chatID int לא 0 ATNotificationIntelligentTags.ID of the chat.
searchFilter string לא "" Optional alias filter.
limit int לא 10 Maximum options to return, capped at 50.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/community/get_chat_add_participant_options' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'chatID={{chatID}}' \
  --data-urlencode 'searchFilter={{searchFilter}}' \
  --data-urlencode 'limit={{limit}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$community_get_chat_add_participant_options_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.ChatIDinteger כן
$.oneOf[0].allOf[1].Payload.CanAddParticipants = true כן
$.oneOf[0].allOf[1].Payload.Modestring ["global_admin","host_accepted_chats",""] כן
$.oneOf[0].allOf[1].Payload.HostUserIDinteger כן
$.oneOf[0].allOf[1].Payload.Optionsarray כן
$.oneOf[0].allOf[1].Payload.Options[]object לא
$.oneOf[0].allOf[1].Payload.Options[].UserIDinteger כן
$.oneOf[0].allOf[1].Payload.Options[].Aliasstring כן
$.oneOf[0].allOf[1].Payload.Options[].Avatarstring כן
$.oneOf[0].allOf[1].Payload.Options[].AccountStatusstring כן
$.oneOf[0].allOf[1].Payload.Options[].LastLoginDate כן
$.oneOf[0].allOf[1].Payload.Options[].LastLoginDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Options[].LastLoginDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Options[].ProfileURLstring כן
$.oneOf[0].allOf[1].Payload.Options[].identityHiddenboolean לא
$.oneOf[0].allOf[1].Payload.Options[].identityHiddenUntilinteger | null לא
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/community/get_chat_add_participant_options",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ChatID": 0,
        "CanAddParticipants": true,
        "Mode": "global_admin",
        "HostUserID": 0,
        "Options": []
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/community/get_chat_message_changes

#
Independently retrieve revisions; never adds work to normal message pagination.

פרמטרים

שםסוגחובהברירת מחדלתיאור
chatID int כן — Chat ID.
afterRevisionID int לא 0 Last acknowledged cursor, zero on first connection.
limit int לא 100 Page size, capped at 100.
initialize bool לא false Capture a watermark and revalidate the visible page without scanning history.
notificationBodyIDList string לא "" Visible message IDs for initialization, capped at 200.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/community/get_chat_message_changes' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'chatID={{chatID}}' \
  --data-urlencode 'afterRevisionID={{afterRevisionID}}' \
  --data-urlencode 'limit={{limit}}' \
  --data-urlencode 'initialize={{initialize}}' \
  --data-urlencode 'notificationBodyIDList={{notificationBodyIDList}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$community_get_chat_message_changes_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.ChatIDinteger כן
$.oneOf[0].allOf[1].Payload.Messagesarray כן
$.oneOf[0].allOf[1].Payload.Messages[]object לא
$.oneOf[0].allOf[1].Payload.Messages[].NotificationBodyIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Subjectstring כן
$.oneOf[0].allOf[1].Payload.Messages[].Bodystring כן
$.oneOf[0].allOf[1].Payload.Messages[].Mediaarray כן
$.oneOf[0].allOf[1].Payload.Messages[].Media[]object לא
$.oneOf[0].allOf[1].Payload.Messages[].Media[].idinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Media[].thumbUrlstring כן
$.oneOf[0].allOf[1].Payload.Messages[].Media[].mediaUrlstring כן
$.oneOf[0].allOf[1].Payload.Messages[].Media[].mediaTypestring כן
$.oneOf[0].allOf[1].Payload.Messages[].Media[].widthinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Media[].heightinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Media[].titlestring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinksarray כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[]object לא
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].idinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].urlstring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].canonicalUrlstring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].hoststring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].siteNamestring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].titlestring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].descriptionstring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].imageMediaIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].mediaIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].mediaUrlstring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].thumbUrlstring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].mediaTypestring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].widthinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].heightinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].translation כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].eligibleboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].statestring ["done","eligible","none"] כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].cachedboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].contextstring ["chat","notification"] כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].endpointstring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].notificationIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].notificationBodyIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].chatIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageDetectionConfidence כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageDetectionConfidence.anyOf[0]number כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageDetectionConfidence.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].liveTranslationSourceEnabledboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].targetLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].targetLanguageNamestring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].receiverLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].senderLocaleCodestring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].senderLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageDetectionStatusstring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceContentHashstring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].titlestring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].bodystring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].originalTitlestring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].originalBodystring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Versioninteger כן
$.oneOf[0].allOf[1].Payload.Messages[].EditedDate כן
$.oneOf[0].allOf[1].Payload.Messages[].EditedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].EditedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].IsDeletedboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].CanEditboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].CanDeleteboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].EditDeadline כן
$.oneOf[0].allOf[1].Payload.Messages[].EditDeadline.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].EditDeadline.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.NextCursorinteger כן
$.oneOf[0].allOf[1].Payload.HasMoreboolean כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
$.oneOf[1].ErrorReasonstring ["active_bid_selection","chat_permission_unavailable"] לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/community/get_chat_message_changes",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ChatID": 0,
        "Messages": [],
        "NextCursor": 0,
        "HasMore": false
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/community/get_chat_message_edit_context

#
Load an author's editable message and attachments during the original 15-minute window. Active bid-selection restrictions also apply to edits, including pending request messages; ErrorReason=active_bid_selection.

פרמטרים

שםסוגחובהברירת מחדלתיאור
chatID int כן — Chat ID.
notificationBodyID int כן — Message body ID.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/community/get_chat_message_edit_context' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'chatID={{chatID}}' \
  --data-urlencode 'notificationBodyID={{notificationBodyID}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$community_get_chat_message_edit_context_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.ChatIDinteger כן
$.oneOf[0].allOf[1].Payload.NotificationBodyIDinteger כן
$.oneOf[0].allOf[1].Payload.Versioninteger כן
$.oneOf[0].allOf[1].Payload.EditDeadline כן
$.oneOf[0].allOf[1].Payload.EditDeadline.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.EditDeadline.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.ServerTimestring כן
$.oneOf[0].allOf[1].Payload.editorobject כן
$.oneOf[0].allOf[1].Payload.editor.format = 1 כן
$.oneOf[0].allOf[1].Payload.editor.sourcestring כן
$.oneOf[0].allOf[1].Payload.editor.blocks כן
$.oneOf[0].allOf[1].Payload.editor.blocks.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.editor.blocks.anyOf[0].*object לא
$.oneOf[0].allOf[1].Payload.editor.blocks.anyOf[0].*.htmlstring כן
$.oneOf[0].allOf[1].Payload.editor.blocks.anyOf[0].*.textstring כן
$.oneOf[0].allOf[1].Payload.editor.blocks.anyOf[0].*.mediaIDsarray כן
$.oneOf[0].allOf[1].Payload.editor.blocks.anyOf[0].*.mediaIDs[]integer לא
$.oneOf[0].allOf[1].Payload.editor.blocks.anyOf[1]array כן
$.oneOf[0].allOf[1].Payload.mediaarray כן
$.oneOf[0].allOf[1].Payload.media[]object לא
$.oneOf[0].allOf[1].Payload.media[].idinteger כן
$.oneOf[0].allOf[1].Payload.media[].thumbUrlstring כן
$.oneOf[0].allOf[1].Payload.media[].mediaUrlstring כן
$.oneOf[0].allOf[1].Payload.media[].mediaTypestring כן
$.oneOf[0].allOf[1].Payload.media[].widthinteger כן
$.oneOf[0].allOf[1].Payload.media[].heightinteger כן
$.oneOf[0].allOf[1].Payload.media[].titlestring כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
$.oneOf[1].ErrorReasonstring ["active_bid_selection","chat_permission_unavailable"] לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/community/get_chat_message_edit_context",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ChatID": 0,
        "NotificationBodyID": 0,
        "Version": 0,
        "EditDeadline": "synthetic-example",
        "ServerTime": "synthetic-example",
        "editor": {
            "format": 1,
            "source": "synthetic-example",
            "blocks": []
        },
        "media": []
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/community/get_chat_message_history

#
Read safe message revisions with the same membership/history boundary as the message. Deleted history requires an authorized staff finding or report review context.

פרמטרים

שםסוגחובהברירת מחדלתיאור
chatID int כן — Chat ID.
notificationBodyID int כן — Message body ID.
beforeRevisionID int לא 0 Older revision cursor.
limit int לא 20 Page size, capped at 50.
findingID int לא 0 Optional authorized staff finding for this chat.
reportID int לא 0 Optional authorized reviewer report referencing this chat.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/community/get_chat_message_history' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'chatID={{chatID}}' \
  --data-urlencode 'notificationBodyID={{notificationBodyID}}' \
  --data-urlencode 'beforeRevisionID={{beforeRevisionID}}' \
  --data-urlencode 'limit={{limit}}' \
  --data-urlencode 'findingID={{findingID}}' \
  --data-urlencode 'reportID={{reportID}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$community_get_chat_message_history_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.ChatIDinteger כן
$.oneOf[0].allOf[1].Payload.NotificationBodyIDinteger כן
$.oneOf[0].allOf[1].Payload.Versionsarray כן
$.oneOf[0].allOf[1].Payload.Versions[]object לא
$.oneOf[0].allOf[1].Payload.Versions[].IDinteger כן
$.oneOf[0].allOf[1].Payload.Versions[].Versioninteger כן
$.oneOf[0].allOf[1].Payload.Versions[].CreatedDatestring כן
$.oneOf[0].allOf[1].Payload.Versions[].ActorUserIDinteger כן
$.oneOf[0].allOf[1].Payload.Versions[].Operationstring ["original","edit","delete"] כן
$.oneOf[0].allOf[1].Payload.Versions[].Bodystring כן
$.oneOf[0].allOf[1].Payload.Versions[].Mediaarray כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[]object לא
$.oneOf[0].allOf[1].Payload.Versions[].Media[].idinteger כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[].thumbUrlstring כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[].mediaUrlstring כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[].mediaTypestring כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[].widthinteger כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[].heightinteger כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[].titlestring כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[].isImageboolean כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[].isEmbeddedboolean כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[].kindstring ["image","video","audio","document"] כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[].createdDatestring כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[].filenamestring כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[].sizeinteger כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[].duration כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[].duration.anyOf[0]number כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[].duration.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Versions[].Media[].downloadUrlstring כן
$.oneOf[0].allOf[1].Payload.NextCursor כן
$.oneOf[0].allOf[1].Payload.NextCursor.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.NextCursor.anyOf[1]null כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
$.oneOf[1].ErrorReasonstring ["active_bid_selection","chat_permission_unavailable"] לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/community/get_chat_message_history",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ChatID": 0,
        "NotificationBodyID": 0,
        "Versions": [],
        "NextCursor": 0
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/community/get_chat_messages

#
Returns the most recent messages for a chat the calling user has access to. Used by the v2 chat dock to populate a chat window on open and to refresh via a 360s offline-recovery poll that runs in parallel with the future websocket. Messages are returned oldest-first so the client can append without reordering. Chat delivery is keyed by ATNotificationsBody.ID so repeated identical message text is still returned as distinct messages. UserToUser and BidChat expose canSend, reasonCode, and reason, including active_bid_selection; history stays readable while messaging is paused. CustomerSurveys contains sending capabilities. Each message's CustomerSurvey contains private request metadata for its original seller/customer, current status, and immutable eventType/actorUserID/eventText. SenderID identifies the event actor even when IsSystemGenerated remains true. Legacy original requests resolve their recorded seller. Answers use /v1/customer_survey/get_request.

פרמטרים

שםסוגחובהברירת מחדלתיאור
chatID int לא 0 ATNotificationIntelligentTags.ID of the chat.
limit int לא 50 Maximum number of messages to return (capped at 200).
offset int לא 0 Pagination offset (0 = newest page).
afterNotificationBodyID int לא 0 If set, returns messages newer than this ATNotificationsBody.ID.
beforeNotificationBodyID int לא 0 If set, returns messages older than this ATNotificationsBody.ID.
includeChatActions bool לא false If true, also returns every currently executable action for the chat.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/community/get_chat_messages' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'chatID={{chatID}}' \
  --data-urlencode 'limit={{limit}}' \
  --data-urlencode 'offset={{offset}}' \
  --data-urlencode 'afterNotificationBodyID={{afterNotificationBodyID}}' \
  --data-urlencode 'beforeNotificationBodyID={{beforeNotificationBodyID}}' \
  --data-urlencode 'includeChatActions={{includeChatActions}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$community_get_chat_messages_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כןRequires chat membership. Action DTO preparation may ensure the report-chat bounty actions exist; includeChatActions=false returns Actions=[].
$.oneOf[0].allOf[1].Payload.ChatIDinteger כן
$.oneOf[0].allOf[1].Payload.Namestring כן
$.oneOf[0].allOf[1].Payload.nameTranslationobject כן
$.oneOf[0].allOf[1].Payload.nameTranslation.eligibleboolean כן
$.oneOf[0].allOf[1].Payload.nameTranslation.statestring ["done","eligible","none"] כן
$.oneOf[0].allOf[1].Payload.nameTranslation.cachedboolean כן
$.oneOf[0].allOf[1].Payload.nameTranslation.context = "chat-name" כן
$.oneOf[0].allOf[1].Payload.nameTranslation.endpointstring כן
$.oneOf[0].allOf[1].Payload.nameTranslation.chatIDinteger כן
$.oneOf[0].allOf[1].Payload.nameTranslation.sourceLanguageDetectionStatusstring ["Detected","Pending"] כן
$.oneOf[0].allOf[1].Payload.nameTranslation.sourceLanguageDetectionConfidencenull כן
$.oneOf[0].allOf[1].Payload.nameTranslation.liveTranslationSourceEnabledboolean כן
$.oneOf[0].allOf[1].Payload.nameTranslation.targetLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.nameTranslation.targetLanguageNamestring כן
$.oneOf[0].allOf[1].Payload.nameTranslation.sourceLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.nameTranslation.sourceContentHashstring כן
$.oneOf[0].allOf[1].Payload.nameTranslation.titlestring כן
$.oneOf[0].allOf[1].Payload.nameTranslation.bodystring כן
$.oneOf[0].allOf[1].Payload.nameTranslation.originalTitlestring כן
$.oneOf[0].allOf[1].Payload.nameTranslation.originalBodystring כן
$.oneOf[0].allOf[1].Payload.IsHostboolean כן
$.oneOf[0].allOf[1].Payload.IsMutedboolean כן
$.oneOf[0].allOf[1].Payload.MutedDate כן
$.oneOf[0].allOf[1].Payload.MutedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.MutedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.HasMoreboolean כן
$.oneOf[0].allOf[1].Payload.OldestNotificationBodyIDinteger כן
$.oneOf[0].allOf[1].Payload.NewestNotificationBodyIDinteger כן
$.oneOf[0].allOf[1].Payload.Participantsarray כן
$.oneOf[0].allOf[1].Payload.Participants[]object לא
$.oneOf[0].allOf[1].Payload.Participants[].UserID כן
$.oneOf[0].allOf[1].Payload.Participants[].UserID.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Participants[].UserID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Participants[].Alias כן
$.oneOf[0].allOf[1].Payload.Participants[].Alias.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Participants[].Alias.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Participants[].Avatar כן
$.oneOf[0].allOf[1].Payload.Participants[].Avatar.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Participants[].Avatar.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Participants[].identityHiddenboolean לא
$.oneOf[0].allOf[1].Payload.Participants[].identityHiddenUntilinteger | null לא
$.oneOf[0].allOf[1].Payload.Actionsarray כן
$.oneOf[0].allOf[1].Payload.Actions[]object לא
$.oneOf[0].allOf[1].Payload.Actions[].ActionButtonIDinteger כן
$.oneOf[0].allOf[1].Payload.Actions[].NotificationIDinteger כן
$.oneOf[0].allOf[1].Payload.Actions[].NotificationBodyIDinteger כן
$.oneOf[0].allOf[1].Payload.Actions[].ActionButtonNamestring כן
$.oneOf[0].allOf[1].Payload.Actions[].Namestring כן
$.oneOf[0].allOf[1].Payload.Actions[].AdditionalTextstring כן
$.oneOf[0].allOf[1].Payload.Actions[].CustomInfoIconstring כן
$.oneOf[0].allOf[1].Payload.Actions[].ConfirmTitlestring כן
$.oneOf[0].allOf[1].Payload.Actions[].ConfirmTextstring כן
$.oneOf[0].allOf[1].Payload.Actions[].ConfirmButtonTextstring כן
$.oneOf[0].allOf[1].Payload.Actions[].LoadingTextstring כן
$.oneOf[0].allOf[1].Payload.Actions[].CustomActionstring כן
$.oneOf[0].allOf[1].Payload.Actions[].CustomActionParameterstring כן
$.oneOf[0].allOf[1].Payload.Actions[].BackgroundColorstring כן
$.oneOf[0].allOf[1].Payload.Actions[].TextColorstring כן
$.oneOf[0].allOf[1].Payload.Actions[].Importancestring כן
$.oneOf[0].allOf[1].Payload.Actions[].Clickableboolean כן
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTagsNotificationDatabaseTags כן
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[0]array כן
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*NotificationTagValue לא
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[0]null לא
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[1]string לא
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[2]number לא
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[3]boolean לא
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[4]array לא
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[4][]NotificationTagValue לא
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[5]object לא
$.oneOf[0].allOf[1].Payload.Actions[].DatabaseTags.anyOf[1].*.anyOf[5].*NotificationTagValue לא
$.oneOf[0].allOf[1].Payload.CustomerSurveysobject כן
$.oneOf[0].allOf[1].Payload.CustomerSurveys.canSendboolean כן
$.oneOf[0].allOf[1].Payload.CustomerSurveys.writableboolean כן
$.oneOf[0].allOf[1].Payload.CustomerSurveys.chatIDinteger כן
$.oneOf[0].allOf[1].Payload.CustomerSurveys.customerIDinteger כן
$.oneOf[0].allOf[1].Payload.CustomerSurveys.bidIDinteger כן
$.oneOf[0].allOf[1].Payload.CustomerSurveys.reasonCodestring לא
$.oneOf[0].allOf[1].Payload.CustomerSurveys.reasonstring לא
$.oneOf[0].allOf[1].Payload.CustomerSurveys.otherUserIDinteger לא
$.oneOf[0].allOf[1].Payload.CustomerSurveys.buyerIdentityHiddenboolean לאTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.CustomerSurveys.buyerIdentityHiddenUntilinteger | null לאLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.Messagesarray כן
$.oneOf[0].allOf[1].Payload.Messages[]object לא
$.oneOf[0].allOf[1].Payload.Messages[].NotificationBodyIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].CreatedDate כן
$.oneOf[0].allOf[1].Payload.Messages[].CreatedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].CreatedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].CreatedDateDisplaystring כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderID כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderID.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderAlias כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderAlias.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderAlias.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderAvatar כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderAvatar.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderAvatar.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Subjectstring כן
$.oneOf[0].allOf[1].Payload.Messages[].Bodystring כן
$.oneOf[0].allOf[1].Payload.Messages[].DestinationPagestring כן
$.oneOf[0].allOf[1].Payload.Messages[].Mediaarray כן
$.oneOf[0].allOf[1].Payload.Messages[].Media[]object לא
$.oneOf[0].allOf[1].Payload.Messages[].Media[].idinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Media[].thumbUrlstring כן
$.oneOf[0].allOf[1].Payload.Messages[].Media[].mediaUrlstring כן
$.oneOf[0].allOf[1].Payload.Messages[].Media[].mediaTypestring כן
$.oneOf[0].allOf[1].Payload.Messages[].Media[].widthinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Media[].heightinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Media[].titlestring כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtonsarray כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[]object לא
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].ActionButtonIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].NotificationIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].NotificationBodyIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].ActionButtonNamestring כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].Namestring כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].AdditionalTextstring כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].CustomInfoIconstring כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].ConfirmTitlestring כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].ConfirmTextstring כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].ConfirmButtonTextstring כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].LoadingTextstring כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].CustomActionstring כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].CustomActionParameterstring כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].BackgroundColorstring כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].TextColorstring כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].Importancestring כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].Clickableboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTagsNotificationDatabaseTags כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[0]array כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*NotificationTagValue לא
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*.anyOf[0]null לא
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*.anyOf[1]string לא
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*.anyOf[2]number לא
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*.anyOf[3]boolean לא
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*.anyOf[4]array לא
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*.anyOf[4][]NotificationTagValue לא
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*.anyOf[5]object לא
$.oneOf[0].allOf[1].Payload.Messages[].ActionButtons[].DatabaseTags.anyOf[1].*.anyOf[5].*NotificationTagValue לא
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].revisioninteger כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].customerIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].sellerIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].chatIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].bidIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].transactionIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].titlestring כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].statusstring ["sent","in_progress","submitted","cancelled"] כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].submittedDate כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].submittedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].submittedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].urlstring כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].buyerIdentityHiddenboolean לאTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].buyerIdentityHiddenUntilinteger | null לאLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].eventTypestring ["","sent","submitted","updated","cancelled"] כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].actorUserIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[0].eventTextstring כן
$.oneOf[0].allOf[1].Payload.Messages[].CustomerSurvey.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Deliveryobject כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.NotificationID כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.NotificationID.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.NotificationID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.RecipientCountinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipientsarray כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[]object לא
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].NotificationID כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].NotificationID.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].NotificationID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].UserID כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].UserID.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].UserID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].Username כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].Username.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].Username.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].Statestring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].CreatedDate כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].CreatedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].CreatedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].CreatedDateDisplaystring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].LastUpdateDate כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].LastUpdateDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].LastUpdateDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].LastUpdateDateDisplaystring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushSendTime כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushSendTime.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushSendTime.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushSendTimeDisplaystring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushReceiveTime כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushReceiveTime.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushReceiveTime.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushReceiveTimeDisplaystring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushOpenTime כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushOpenTime.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushOpenTime.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].PushOpenTimeDisplaystring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].EmailSendTime כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].EmailSendTime.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].EmailSendTime.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].EmailSendTimeDisplaystring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].EmailOpenTime כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].EmailOpenTime.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].EmailOpenTime.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].EmailOpenTimeDisplaystring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].ReadTime כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].ReadTime.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].ReadTime.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].ReadTimeDisplaystring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceiptsarray לא
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[]object לא
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].TranslationID כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].TranslationID.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].TranslationID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].LanguageCodestring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].LanguageNamestring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].SourceLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].SourceContentHashstring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].TranslatedTitlestring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].TranslatedBodystring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].SeenContextstring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].Modelstring כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].FirstServedDate כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].FirstServedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].FirstServedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].LastServedDate כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].LastServedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].LastServedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].CompletedDate כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].CompletedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].TranslationReceipts[].CompletedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].identityHiddenboolean לא
$.oneOf[0].allOf[1].Payload.Messages[].Delivery.Recipients[].identityHiddenUntilinteger | null לא
$.oneOf[0].allOf[1].Payload.Messages[].Reactions כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[0]array כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].targetTypestring ["post","chat_message"] כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].targetIdinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].viewerReactionKeystring ["","thumbs_up","heart","money_with_wings","laugh","wow","sad","angry"] כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].viewerHasReactedboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].totalCountinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].countsobject כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].counts.thumbs_upinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].counts.heartinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].counts.money_with_wingsinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].counts.laughinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].counts.wowinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].counts.sadinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].counts.angryinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recentarray כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[]object לא
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].userIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].usernamestring כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].reactionKeystring ["thumbs_up","heart","money_with_wings","laugh","wow","sad","angry"] כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].reactionEmojistring כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].createdDate כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].createdDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].createdDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].lastUpdateDate כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].lastUpdateDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].lastUpdateDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].reactedDate כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].reactedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].reactedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].createdDateDisplaystring כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].lastUpdateDateDisplaystring כן
$.oneOf[0].allOf[1].Payload.Messages[].Reactions.anyOf[1].recent[].reactedDateDisplaystring כן
$.oneOf[0].allOf[1].Payload.Messages[].IsSystemGeneratedboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].type = "reaction" כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].targetType = "chat_message" כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].targetNotificationBodyIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].actorUserIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].actionstring כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].reactionKeystring כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].reactionEmojistring כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].targetPreviewstring כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[0]array כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].targetTypestring ["post","chat_message"] כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].targetIdinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].viewerReactionKeystring ["","thumbs_up","heart","money_with_wings","laugh","wow","sad","angry"] כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].viewerHasReactedboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].totalCountinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].countsobject כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].counts.thumbs_upinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].counts.heartinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].counts.money_with_wingsinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].counts.laughinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].counts.wowinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].counts.sadinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].counts.angryinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recentarray כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[]object לא
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].userIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].usernamestring כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].reactionKeystring ["thumbs_up","heart","money_with_wings","laugh","wow","sad","angry"] כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].reactionEmojistring כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].createdDate כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].createdDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].createdDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].lastUpdateDate כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].lastUpdateDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].lastUpdateDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].reactedDate כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].reactedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].reactedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].createdDateDisplaystring כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].lastUpdateDateDisplaystring כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[0].summary.anyOf[1].recent[].reactedDateDisplaystring כן
$.oneOf[0].allOf[1].Payload.Messages[].ChatEvent.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext כן
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].NotificationBodyIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].SenderID כן
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].SenderID.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].SenderID.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].SenderAlias כן
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].SenderAlias.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].SenderAlias.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].Previewstring כן
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].HasMediaboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].IsUnavailableboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].IsDeletedboolean לא
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[0].IsSystemGeneratedboolean לא
$.oneOf[0].allOf[1].Payload.Messages[].ReplyContext.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].translation כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].eligibleboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].statestring ["done","eligible","none"] כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].cachedboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].contextstring ["chat","notification"] כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].endpointstring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].notificationIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].notificationBodyIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].chatIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageDetectionConfidence כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageDetectionConfidence.anyOf[0]number כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageDetectionConfidence.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].liveTranslationSourceEnabledboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].targetLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].targetLanguageNamestring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].receiverLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].senderLocaleCodestring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].senderLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageCodestring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceLanguageDetectionStatusstring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].sourceContentHashstring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].titlestring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].bodystring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].originalTitlestring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[0].originalBodystring כן
$.oneOf[0].allOf[1].Payload.Messages[].translation.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].Versioninteger כן
$.oneOf[0].allOf[1].Payload.Messages[].EditedDate כן
$.oneOf[0].allOf[1].Payload.Messages[].EditedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].EditedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].IsDeletedboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].CanEditboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].CanDeleteboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].EditDeadline כן
$.oneOf[0].allOf[1].Payload.Messages[].EditDeadline.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.Messages[].EditDeadline.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinksarray כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[]object לא
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].idinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].urlstring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].canonicalUrlstring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].hoststring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].siteNamestring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].titlestring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].descriptionstring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].imageMediaIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].mediaIDinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].mediaUrlstring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].thumbUrlstring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].mediaTypestring כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].widthinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[0].heightinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].RichLinks[].image.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplayobject כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.aliasstring | null כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.avatarstring | null כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.avatarEmojistring | null כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImageUrlstring | null כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImageURLstring | null כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.labelstring כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileUrlstring | null כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileURLstring | null כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.titlestring כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.customColorstring | null כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.customTextColorstring | null כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.avatarModestring | null כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.htmlstring כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.idinteger | null כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.userIDinteger | null כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.isRichboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].thumbUrlstring כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].mediaUrlstring כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].mediaTypestring כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].widthinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].heightinteger כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].titlestring כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].isImageboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].isEmbeddedboolean כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].frameobject כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].frame.positionXPercentnumber כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].frame.positionYPercentnumber כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].frame.zoomPercentnumber כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[0].backgroundUrlstring לא
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.profileImage.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.medalsarray כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.medals[]object לא
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.medals[].Namestring כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.medals[].URLstring כן
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.identityHiddenboolean לאAn anonymized author has no profile or follow action.
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplay.identityHiddenUntilinteger | null לאLatest saved closing timestamp among the author's qualifying open response races, in Unix seconds.
$.oneOf[0].allOf[1].Payload.Messages[].SenderDisplayHTMLstring כן
$.oneOf[0].allOf[1].Payload.UserToUser כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].chatIDinteger כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].otherUserIDinteger כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].requestingUserIDinteger כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].destinationUserIDinteger כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].requestMessageBodyIDinteger כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].requestMessageCountinteger כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].requestMessageLimitinteger כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].requestMessagesRemaininginteger כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].requestMessageCooldownHoursinteger כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].requestMessageSecondsUntilNextinteger כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].otherAliasstring כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].otherAvatarstring כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].reasonCodestring כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].reasonstring כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].statusstring ["accepted","blocked-by-viewer","blocked-by-other","denied","pending"] כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].viewerRolestring ["requester","destination","participant"] כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].acceptedDate כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].acceptedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].acceptedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].deniedDate כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].deniedDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].deniedDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].lastRequestDate כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].lastRequestDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].lastRequestDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].nextRequestMessageDate כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].nextRequestMessageDate.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].nextRequestMessageDate.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].canSendNextRequestMessageboolean כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].viewerBlockedOtherboolean כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].otherBlockedViewerboolean כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].viewerMutedOtherboolean כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].otherMutedViewerboolean כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].recipientAllowsChatRequestsboolean כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].canAcceptboolean כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].canDenyboolean כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[0].canSendboolean כן
$.oneOf[0].allOf[1].Payload.UserToUser.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.BidChat כן
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].bidIDinteger כן
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].buyerUserIDinteger | null כן
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].sellerUserIDinteger כן
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].otherUserIDinteger כן
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].bidUUIDstring כן
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].otherUserAlias כן
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].otherUserAlias.anyOf[0]string כן
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].otherUserAlias.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].reasonCodestring כן
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].reasonstring כן
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].expiresAt כן
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].expiresAt.anyOf[0]string כןEncoded intelligent tag for the created/opened chat. This legacy GET compatibility operation can create or update a chat request.
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].expiresAt.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].expiredboolean כן
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].canSendboolean כן
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].buyerIdentityHiddenboolean לאTrue when the viewer cannot see the buyer because that buyer has an open response race.
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[0].buyerIdentityHiddenUntilinteger | null לאLatest saved ClosesAt among the buyer's open response races, as Unix seconds; null when visible. Reveal requires a fresh authoritative response.
$.oneOf[0].allOf[1].Payload.BidChat.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.HireDirect כן
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[0].canHireDirectly = true כן
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[0].userIDinteger כן
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[0].aliasstring כן
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[0].profilePathstring כן
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[0].directHireFeeDiscountPct כן
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[0].directHireFeeDiscountPct.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[0].directHireFeeDiscountPct.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.HireDirect.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.HireDirectRequest כן
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0].canHireDirectly = true כן
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0].userIDinteger כן
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0].aliasstring כן
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0].profilePathstring כן
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0].directHireFeeDiscountPct כן
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0].directHireFeeDiscountPct.anyOf[0]integer כן
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0].directHireFeeDiscountPct.anyOf[1]null כן
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[0].canRequestDirectHire = true כן
$.oneOf[0].allOf[1].Payload.HireDirectRequest.anyOf[1]null כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/community/get_chat_messages",
    "RequestUserAlias": "example-user",
    "Payload": {
        "ChatID": 0,
        "Name": "synthetic-example",
        "nameTranslation": {
            "eligible": false,
            "state": "done",
            "cached": false,
            "context": "chat-name",
            "endpoint": "synthetic-example",
            "chatID": 0,
            "sourceLanguageDetectionStatus": "Detected",
            "sourceLanguageDetectionConfidence": null,
            "liveTranslationSourceEnabled": false,
            "targetLanguageCode": "synthetic-example",
            "targetLanguageName": "synthetic-example",
            "sourceLanguageCode": "synthetic-example",
            "sourceContentHash": "synthetic-example",
            "title": "synthetic-example",
            "body": "synthetic-example",
            "originalTitle": "synthetic-example",
            "originalBody": "synthetic-example"
        },
        "IsHost": false,
        "IsMuted": false,
        "MutedDate": "synthetic-example",
        "HasMore": false,
        "OldestNotificationBodyID": 0,
        "NewestNotificationBodyID": 0,
        "Participants": [],
        "Actions": [],
        "CustomerSurveys": {
            "canSend": false,
            "writable": false,
            "chatID": 0,
            "customerID": 0,
            "bidID": 0
        },
        "Messages": [],
        "UserToUser": {
            "chatID": 0,
            "otherUserID": 0,
            "requestingUserID": 0,
            "destinationUserID": 0,
            "requestMessageBodyID": 0,
            "requestMessageCount": 0,
            "requestMessageLimit": 0,
            "requestMessagesRemaining": 0,
            "requestMessageCooldownHours": 0,
            "requestMessageSecondsUntilNext": 0,
            "otherAlias": "synthetic-example",
            "otherAvatar": "synthetic-example",
            "reasonCode": "synthetic-example",
            "reason": "synthetic-example",
            "status": "accepted",
            "viewerRole": "requester",
            "acceptedDate": "synthetic-example",
            "deniedDate": "synthetic-example",
            "lastRequestDate": "synthetic-example",
            "nextRequestMessageDate": "synthetic-example",
            "canSendNextRequestMessage": false,
            "viewerBlockedOther": false,
            "otherBlockedViewer": false,
            "viewerMutedOther": false,
            "otherMutedViewer": false,
            "recipientAllowsChatRequests": false,
            "canAccept": false,
            "canDeny": false,
            "canSend": false
        },
        "BidChat": {
            "bidID": 900001,
            "buyerUserID": null,
            "sellerUserID": 900002,
            "otherUserID": 900003,
            "bidUUID": "00000000000000000000000000000001",
            "otherUserAlias": null,
            "reasonCode": "synthetic-example",
            "reason": "Synthetic customer privacy fixture.",
            "expiresAt": null,
            "expired": false,
            "canSend": false,
            "buyerIdentityHidden": true,
            "buyerIdentityHiddenUntil": 2100000000
        },
        "HireDirect": {
            "canHireDirectly": true,
            "userID": 0,
            "alias": "synthetic-example",
            "profilePath": "synthetic-example",
            "directHireFeeDiscountPct": 0
        },
        "HireDirectRequest": {
            "canHireDirectly": true,
            "userID": 0,
            "alias": "synthetic-example",
            "profilePath": "synthetic-example",
            "directHireFeeDiscountPct": 0,
            "canRequestDirectHire": true
        }
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/community/get_chats

#
Returns the chats and chat groups visible to the requesting user. Mirrors what /modules/chat/index.php renders so callers can build their own chat overview. Each chat row includes the last message preview, ACTIVE/ARCHIVED flag, group ID, and the participants on the chat (with their display alias and emoji avatar). Counts.ActiveUnread and Counts.ArchivedUnread count unread messages across all groups. Counts.Active remains the total number of active conversations for existing callers. UserToUser and BidChat retain relationship state and expose canSend, reasonCode, and reason; active_bid_selection temporarily pauses incoming personal messages.

פרמטרים

[...]
